
Foreman - Bug #13977

Upgrade rails to 4.1.14.2

03/01/2016 08:25 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Rails   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1313832 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3258

  

Description

4.1.14.2 is a security release fixing two CVEs - 

http://weblog.rubyonrails.org/2016/2/29/Rails-4-2-5-2-4-1-14-2-3-2-22-2-have-been-released/

Rails should be upgraded.

Related issues:

Related to Foreman - Feature #12873: Update Rails to 4.1.latest Closed 12/18/2015

Associated revisions

Revision b52f4d2d - 03/02/2016 05:42 AM - Tomer Brisker

Fixes #13977 - Upgrade Rails to 4.1.14.2 to address 2 CVEs

Revision d469e32e - 03/10/2016 10:56 AM - Tomer Brisker

Fixes #13977 - Upgrade Rails to 4.1.14.2 to address 2 CVEs

(cherry picked from commit b52f4d2d3ef9e3282c5b81bcd560193fe83ad6a6)

History

#1 - 03/01/2016 08:26 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/3258 added

#2 - 03/02/2016 06:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b52f4d2d3ef9e3282c5b81bcd560193fe83ad6a6.

#3 - 03/02/2016 06:03 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#4 - 03/02/2016 06:03 AM - Dominic Cleal

- translation missing: en.field_release changed from 136 to 71

#5 - 03/02/2016 07:23 AM - Tomer Brisker

- Bugzilla link set to 1313832

#6 - 04/10/2016 03:06 AM - Tomer Brisker

- Related to Feature #12873: Update Rails to 4.1.latest added
